#ifndef X_GRAPH_H
#define X_GRAPH_H

#include <conio.h>
#include <graph.h>
#include "x_types.h"

#define		_NOCURSOR		0x2000
#define		_NORMALCURSOR		0x0607
#define		_SOLIDCURSOR		0x0007
#define		_setcursortype(x)	_settextcursor(x)
#define		clrscr()		_clearscreen(_GWINDOW)
#define		cprintf			outtext
#define		gotoxy(x,y)		_settextposition(y,x)
#define		textbackground(x)	_setbkcolor(x)
#define		textcolor(x)		_settextcolor(x)
#define		window(c1,r1,c2,r2)	_settextwindow(r1,c1,r2,c2)

enum COLORS {
    BLACK,          /* dark colors */
    BLUE,
    GREEN,
    CYAN,
    RED,
    MAGENTA,
    BROWN,
    LIGHTGRAY,
    DARKGRAY,       /* light colors */
    LIGHTBLUE,
    LIGHTGREEN,
    LIGHTCYAN,
    LIGHTRED,
    LIGHTMAGENTA,
    YELLOW,
    WHITE
};

struct text_info {
    unsigned char winleft;
    unsigned char wintop;
    unsigned char winright;
    unsigned char winbottom;
    unsigned char attribute;
    unsigned char curx;
    unsigned char cury;
};

void		wputch(char ch);
int		outtext(char *fmt, ...);
void		clreol();
void		delline();
int		wherex();
int		wherey();
void		gettextinfo(text_info *ti);
void		textattr(word attr);
int		textcols();
int		textrows();

extern int	ansiDimensionsRequested;

#endif
